aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
Diffstat (limited to 'testing')
-rw-r--r--testing/sch-cake/APKBUILD64
1 files changed, 64 insertions, 0 deletions
diff --git a/testing/sch-cake/APKBUILD b/testing/sch-cake/APKBUILD
new file mode 100644
index 0000000000..0492bc8f82
--- /dev/null
+++ b/testing/sch-cake/APKBUILD
@@ -0,0 +1,64 @@
+# Contributor: Ben Allen <bensallen@me.com>
+# Maintainer: Ben Allen <bensallen@me.com>
+_flavor=${FLAVOR:-grsec}
+_kpkg=linux-$_flavor
+_realname=sch-cake
+_name=$_realname-$_flavor
+
+_kver=4.1.15
+_kpkgrel=5
+
+_gitver=2add740a79bb50b04e0497400a501df7b1857f48
+_mypkgrel=0
+
+# source the kernel version
+if [ -f ../linux-$_flavor/APKBUILD ]; then
+ . ../linux-$_flavor/APKBUILD
+ [ "$_kver" != "$pkgver" ] && die "$_name: Please update _kver to $pkgver"
+ [ "$_kpkgrel" != "$pkgrel" ] && die "$_name: Please update _kpkgrel to $pkgrel"
+fi
+
+_kernelver=$_kver-r$_kpkgrel
+_abi_release=${_kver}-${_kpkgrel}-${_flavor}
+
+pkgname=$_name
+pkgver=$_kver
+pkgrel=$(($_kpkgrel + $_mypkgrel))
+
+pkgrel=0
+pkgdesc="Out of tree build for the new cake qdisc"
+url="https://github.com/dtaht/sch_cake"
+arch="all"
+license="Dual BSD/GPL"
+depends="linux-${_flavor}=${_kernelver}"
+makedepends="linux-${_flavor}-dev=${_kernelver} linux-headers"
+install=
+install_if="linux-$_flavor=$_kernelver $_realname"
+subpackages=
+source="saveas-https://github.com/dtaht/sch_cake/archive/$_gitver.tar.gz/$_realname-$_gitver.tar.gz"
+_builddir="$srcdir"/sch_cake-$_gitver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -v -m 0755 -d $pkgdir/lib/modules/$_abi_release/kernel/net/sched
+ install -v -m 0644 $_builddir/sch_cake.ko $pkgdir/lib/modules/$_abi_release/kernel/net/sched/
+}
+
+md5sums="d07172020bc9e93e10e3800a9dd9fac1 sch-cake-2add740a79bb50b04e0497400a501df7b1857f48.tar.gz"
+sha256sums="7fb81a3662d7669ecc7ed64d5ca8e92806bba854ede17088b6081067e0df276d sch-cake-2add740a79bb50b04e0497400a501df7b1857f48.tar.gz"
+sha512sums="8e83311326893ce441fe9a3d9aa92e4ed1937e90b022211af5a612f2ae64646aa14f941d0ba3e0613b0d08ae3edcbcb8e25f6c9419955cc6e1f738ba1eb4d6da sch-cake-2add740a79bb50b04e0497400a501df7b1857f48.tar.gz"